<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    android:layout_width="fill_parent"
    android:layout_height="wrap_content" 
    xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:tools="http://schemas.android.com/tools"
	tools:ignore="MissingPrefix"
	android:orientation="vertical">
    <ScrollView
	    android:layout_width="fill_parent"
	    android:layout_height="fill_parent"
	    android:layout_alignParentTop="true">
	    <LinearLayout
		    android:layout_width="match_parent"
		    android:layout_height="match_parent"
		    android:orientation="vertical" 
		    android:padding="16dp">
		    <RelativeLayout 
		        android:layout_width="fill_parent"
		        android:layout_height="wrap_content"
		        android:orientation="horizontal"
		        android:layout_marginBottom="8dp">
		        <ImageView 
		            android:id="@+id/img_search"
		            android:layout_width="20dp"
		            android:layout_height="20dp"
		            android:src="@drawable/search"
		            android:scaleType="fitXY"
		            android:layout_marginRight="8dp"
		            android:layout_centerVertical="true"/>
		        <TextView 
			        android:layout_width="wrap_content"
			        android:layout_height="wrap_content"
			        android:text="Urut Berdasarkan"
			        android:textSize="16sp"
			        android:textStyle="bold"
			        fontPath="fonts/MyriadPro-Semibold.otf"
			        android:layout_marginBottom="8dp"
			        android:layout_centerVertical="true"
			        android:layout_toRightOf="@id/img_search"/>
		    </RelativeLayout>
			<EditText
				android:id="@+id/edt_keyword"
				android:layout_width="match_parent"
				android:layout_height="wrap_content"
				android:maxLines="1"
				android:hint="Keyword"
				android:layout_marginBottom="16dp"/>
			<Spinner 
			    android:id="@+id/spn_filter_sort_by"
			    android:layout_width="fill_parent"
			    android:layout_height="48dp"
			    android:spinnerMode="dropdown"
			    android:layout_marginBottom="8dp"/>
			<RelativeLayout 
		        android:layout_width="fill_parent"
		        android:layout_height="wrap_content"
		        android:orientation="horizontal"
		        android:layout_marginBottom="8dp">
		        <ImageView 
		            android:id="@+id/img_calendar"
		            android:layout_width="20dp"
		            android:layout_height="20dp"
		            android:src="@drawable/calendar"
		            android:scaleType="fitXY"
		            android:layout_marginRight="8dp"
		            android:layout_centerVertical="true"/>
				<TextView 
			        android:layout_width="fill_parent"
			        android:layout_height="wrap_content"
			        android:text="Tanggal Lelang"
			        android:textStyle="bold"
			        android:textSize="16sp"
			        android:layout_toRightOf="@id/img_calendar"
			        fontPath="fonts/MyriadPro-Semibold.otf"
			        android:layout_marginBottom="8dp"/>
			</RelativeLayout>
			<LinearLayout 
			    android:layout_width="fill_parent"
			    android:layout_height="wrap_content"
			    android:orientation="horizontal"
			    android:layout_marginBottom="8dp">
			    <TextView 
			        android:id="@+id/txt_filter_date"
			        android:layout_width="fill_parent"
			        android:layout_height="wrap_content"
			        android:layout_weight="0.5"
			        fontPath="fonts/MyriadPro-Regular.otf"
			        android:text="Current Date"/>
			    <Button 
			        android:id="@+id/btn_filter_select_date"
			        android:layout_width="150dp"
			        android:layout_height="wrap_content"
			        fontPath="fonts/MyriadPro-Regular.otf"
			        android:text="Pilih Tanggal"/>
			</LinearLayout>
			<RelativeLayout 
		        android:layout_width="fill_parent"
		        android:layout_height="wrap_content"
		        android:orientation="horizontal"
		        android:layout_marginBottom="8dp">
		        <ImageView 
		            android:id="@+id/img_kategori"
		            android:layout_width="20dp"
		            android:layout_height="20dp"
		            android:src="@drawable/kategori"
		            android:scaleType="fitXY"
		            android:layout_marginRight="8dp"
		            android:layout_centerVertical="true"/>
				<TextView 
			        android:layout_width="fill_parent"
			        android:layout_height="wrap_content"
			        android:text="Kategori"
			        android:textStyle="bold"
			        android:textSize="16sp"
			        android:layout_toRightOf="@id/img_kategori"
			        android:layout_centerVertical="true"
			        fontPath="fonts/MyriadPro-Semibold.otf"
			        android:layout_marginBottom="8dp"/>
			</RelativeLayout>
			<Spinner 
			    android:id="@+id/spn_filter_sort_kategori"
			    android:layout_width="fill_parent"
			    android:layout_height="48dp"
			    android:spinnerMode="dropdown"
			    android:layout_marginBottom="8dp"/>
			<RelativeLayout 
		        android:layout_width="fill_parent"
		        android:layout_height="wrap_content"
		        android:orientation="horizontal"
		        android:layout_marginBottom="8dp">
		        <ImageView 
		            android:id="@+id/img_lokasi"
		            android:layout_width="20dp"
		            android:layout_height="20dp"
		            android:src="@drawable/lokasi"
		            android:scaleType="fitXY"
		            android:layout_marginRight="8dp"
		            android:layout_centerVertical="true"/>
				<TextView 
			        android:layout_width="fill_parent"
			        android:layout_height="wrap_content"
			        android:text="Lokasi"
			        android:textSize="16sp"
			        fontPath="fonts/MyriadPro-Semibold.otf"
			        android:textStyle="bold"
			        android:layout_centerVertical="true"
			        android:layout_toRightOf="@id/img_lokasi"
			        android:layout_marginBottom="8dp"/>
			</RelativeLayout>
			<LinearLayout 
			    android:layout_width="fill_parent"
			    android:layout_height="wrap_content"
			    android:orientation="vertical"
			    android:layout_marginLeft="20dp">
			    <TextView 
			        android:layout_width="fill_parent"
			        android:layout_height="wrap_content"
			        android:text="Provinsi"
			        android:textStyle="normal"
			        fontPath="fonts/MyriadPro-Regular.otf"
			        android:layout_marginBottom="8dp"/>
				<Spinner 
				    android:id="@+id/spn_filter_sort_propinsi"
				    android:layout_width="fill_parent"
				    android:layout_height="48dp"
				    android:spinnerMode="dropdown"
				    android:layout_marginBottom="8dp"/>
			</LinearLayout>
			<LinearLayout 
			    android:layout_width="fill_parent"
			    android:layout_height="wrap_content"
			    android:orientation="vertical"
			    android:layout_marginLeft="20dp"
			    android:layout_marginBottom="8dp">
			    <TextView 
			        android:layout_width="fill_parent"
			        android:layout_height="wrap_content"
			        android:text="Kota"
			        android:textStyle="normal"
			        fontPath="fonts/MyriadPro-Regular.otf"
			        android:layout_marginBottom="8dp"/>
				<Spinner 
				    android:id="@+id/spn_filter_sort_kota"
				    android:layout_width="fill_parent"
				    android:layout_height="48dp"
				    android:spinnerMode="dropdown"
				    android:layout_marginBottom="8dp"/>
			</LinearLayout>
			<TextView 
		        android:layout_width="fill_parent"
		        android:layout_height="wrap_content"
		        android:text="Alamat"
		        android:layout_marginLeft="20dp"
		        android:layout_marginBottom="8dp"/>
			<EditText 
			    android:id="@+id/edt_filter_alamat"
			    android:layout_width="fill_parent"
			    android:layout_height="wrap_content"
			    android:singleLine="true"
			    android:layout_marginLeft="20dp"
			    fontPath="fonts/MyriadPro-Regular.otf"
			    android:layout_marginBottom="8dp"/>
			<RelativeLayout 
		        android:layout_width="fill_parent"
		        android:layout_height="wrap_content"
		        android:orientation="horizontal"
		        android:layout_marginBottom="8dp">
		        <ImageView 
		            android:id="@+id/img_harga"
		            android:layout_width="20dp"
		            android:layout_height="20dp"
		            android:src="@drawable/harga"
		            android:scaleType="fitXY"
		            android:layout_marginRight="8dp"
		            android:layout_centerVertical="true"/>
				<TextView 
			        android:layout_width="fill_parent"
			        android:layout_height="wrap_content"
			        android:text="Harga"
			        android:textStyle="bold"
			        android:textSize="16sp"
			        android:layout_toRightOf="@id/img_harga"
			        android:layout_centerVertical="true"
			        fontPath="fonts/MyriadPro-Semibold.otf"
			        android:layout_marginBottom="8dp"/>
			</RelativeLayout>
			<LinearLayout 
			    android:layout_width="fill_parent"
			    android:layout_height="wrap_content"
			    android:orientation="vertical"
			    android:layout_marginLeft="20dp">
			    <TextView 
			        android:layout_width="fill_parent"
			        android:layout_height="wrap_content"
			        android:text="Harga Minimal"
			        fontPath="fonts/MyriadPro-Regular.otf"
			        android:textStyle="normal"
			        android:layout_marginBottom="8dp"/>
				<Spinner 
				    android:id="@+id/spn_filter_sort_harga_minimal"
				    android:layout_width="fill_parent"
				    android:layout_height="48dp"
				    android:spinnerMode="dropdown"
				    android:layout_marginBottom="8dp"/>
			</LinearLayout>
			<LinearLayout 
			    android:layout_width="fill_parent"
			    android:layout_height="wrap_content"
			    android:orientation="vertical"
			    android:layout_marginLeft="20dp">
			    <TextView 
			        android:layout_width="fill_parent"
			        android:layout_height="wrap_content"
			        android:text="Harga Maksimal"
			        fontPath="fonts/MyriadPro-Regular.otf"
			        android:textStyle="normal"
			        android:layout_marginBottom="8dp"/>
				<Spinner 
				    android:id="@+id/spn_filter_sort_harga_maksimal"
				    android:layout_width="fill_parent"
				    android:layout_height="48dp"
				    android:spinnerMode="dropdown"
				    android:layout_marginBottom="8dp"/>
			</LinearLayout>
			<RelativeLayout 
			    android:layout_width="fill_parent"
			    android:layout_height="wrap_content"
			    android:layout_marginLeft="20dp">
				<TextView 
			        android:layout_width="wrap_content"
			        android:layout_height="wrap_content"
			        android:text="Hot Price"
			        android:layout_alignParentLeft="true"
				    android:layout_centerVertical="true"
			        android:textStyle="normal"
			        android:layout_marginBottom="8dp"/>
			    <ToggleButton 
				    android:id="@+id/cb_filter_hot_price"
				    android:layout_width="wrap_content"
				    android:layout_height="wrap_content"
				    android:layout_alignParentRight="true"
				    android:layout_centerVertical="true"
				    android:layout_marginBottom="8dp"
				    fontPath="fonts/MyriadPro-Regular.otf"
				    android:textOn="Ya"
				    android:textOff="Tidak"/>
			</RelativeLayout>
			<TextView 
		        android:layout_width="fill_parent"
		        android:layout_height="wrap_content"
		        android:text="Lain-lain"
		        android:textStyle="bold"
		        android:textSize="16sp"
		        fontPath="fonts/MyriadPro-Semibold.otf"
		        android:layout_marginBottom="8dp"/>
			<TextView 
		        android:layout_width="fill_parent"
		        android:layout_height="wrap_content"
		        android:text="Jenis Dokumen"
		        android:layout_marginLeft="20dp"
		        android:layout_marginBottom="8dp"/>
			<Spinner 
			    android:id="@+id/spn_filter_sort_dokumen"
			    android:layout_width="fill_parent"
			    android:layout_height="48dp"
			    android:spinnerMode="dropdown"
			    android:layout_marginLeft="20dp"
			    android:layout_marginBottom="8dp"/>
			<LinearLayout
				android:layout_width="match_parent"
				android:layout_height="wrap_content"
				android:orientation="vertical">
				<TextView
					android:layout_width="fill_parent"
					android:layout_height="wrap_content"
					android:text="Metode Penjualan"
					android:textStyle="bold"
					android:textSize="16sp"
					fontPath="fonts/MyriadPro-Semibold.otf"
					android:layout_marginBottom="8dp"/>
				<LinearLayout
					android:id="@+id/ln_jenis_agunan"
					android:layout_width="match_parent"
					android:layout_height="wrap_content"
					android:orientation="horizontal">
					<CheckBox
						android:id="@+id/cb_jual_sukarela"
						android:layout_width="match_parent"
						android:layout_height="wrap_content"
						fontPath="fonts/MyriadPro-Regular.otf"
						android:text="Jual Sukarela"
						android:checked="true"
						android:layout_weight="0.5"/>
					<CheckBox
						android:id="@+id/cb_lelang"
						android:layout_width="match_parent"
						android:layout_height="wrap_content"
						fontPath="fonts/MyriadPro-Regular.otf"
						android:text="Lelang"
						android:checked="true"
						android:layout_weight="0.5"/>
				</LinearLayout>
			</LinearLayout>
		</LinearLayout>
	    
	</ScrollView>
	<LinearLayout 
	    android:layout_width="fill_parent"
	    android:layout_height="60dp"
	    android:orientation="horizontal"
	    android:gravity="bottom"
	    android:layout_gravity="bottom"
	    android:layout_alignParentBottom="true">
	    <Button 
	        android:id="@+id/btn_filter_reset"
	        android:layout_width="fill_parent"
	        android:layout_height="wrap_content"
	        android:text="Reset"
	        android:layout_weight="0.5"
	        android:textSize="16sp"
	        android:background="@drawable/btn_general"
	        android:textColor="@android:color/white"
	        fontPath="fonts/MyriadPro-Regular.otf"/>
	    <View 
	        android:layout_width="0.5dp"
	        android:layout_height="fill_parent"
	        android:layout_marginTop="8dp"
	        android:layout_marginBottom="8dp"
	        android:padding="8dp"/>
	    <Button 
	        android:id="@+id/btn_filter_apply"
	        android:layout_width="fill_parent"
	        android:layout_height="wrap_content"
	        android:text="Cari"
	        android:textSize="16sp"
	        android:background="@drawable/btn_general"
	        android:layout_weight="0.5"
	        android:textColor="@android:color/white"
	        fontPath="fonts/MyriadPro-Regular.otf"/>
	</LinearLayout>
</RelativeLayout>